<?php

namespace Teknisa\MAN\Services;

use Teknisa\MAN\Utilities;

class ProdOcor {
	
	protected $entityManager;

	public function __construct(\Doctrine\ORM\EntityManager $entityManager)  {
		$this->entityManager = $entityManager;
	}
	
	public function GetProdInterval($CDARVPRODINI, $CDARVPRODFINAL, $NRORG){
		$params = array( 
			':NRORG'       => $NRORG,
			':CDARVPRODINI' => $CDARVPRODINI,
			':CDARVPRODFINAL' => $CDARVPRODFINAL
		);
		$return = $this->entityManager->getConnection()->fetchAll(Utilities\Query::GET_PRODUCT_TO_SETOR, $params);
		return $return;
	}
}